// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function VerfahrenassistentMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <g id="icon-menu-Verfahrensassistent">
        <g id="Frame 39">
          <g id="Group 28">
            <path
              id="Vector"
              d="M23.8612 9.24997C23.6629 9.05171 23.3556 9.05171 23.1573 9.24997L20.2131 12.1942V7.32681C20.2131 4.47181 17.8835 2.14221 15.0285 2.14221H9.32842C9.05085 2.14221 8.83276 2.3603 8.83276 2.63787C8.83276 2.91544 9.05085 3.13353 9.32842 3.13353H15.0285C17.3383 3.13353 19.2218 5.01704 19.2218 7.32681V12.2041L16.2379 9.22023C16.0397 9.02197 15.7323 9.02197 15.5341 9.22023C15.3358 9.4185 15.3358 9.72581 15.5341 9.92407L19.3606 13.7506C19.3606 13.7506 19.4597 13.8299 19.5192 13.8596C19.5787 13.8893 19.6481 13.8993 19.7075 13.8993C19.767 13.8993 19.8364 13.8893 19.8959 13.8596C19.9554 13.8299 20.0148 13.8001 20.0545 13.7506L23.8513 9.96372C24.0495 9.76546 24.0495 9.45815 23.8513 9.25989L23.8612 9.24997Z"
              fill="white"
            />
            <path
              id="Vector_2"
              d="M19.7171 18.8222C18.4879 18.8222 17.4569 19.7045 17.2289 20.8643H5.02575C4.79774 19.7045 3.76677 18.8222 2.53753 18.8222C1.13977 18.8222 -0.000244141 19.9622 -0.000244141 21.36C-0.000244141 22.7578 1.13977 23.8978 2.53753 23.8978C3.76677 23.8978 4.79774 23.0155 5.02575 21.8557H17.2289C17.4569 23.0155 18.4879 23.8978 19.7171 23.8978C21.1149 23.8978 22.2549 22.7578 22.2549 21.36C22.2549 19.9622 21.1149 18.8222 19.7171 18.8222ZM2.53753 22.9164C1.685 22.9164 0.991075 22.2224 0.991075 21.3699C0.991075 20.5174 1.685 19.8235 2.53753 19.8235C3.39007 19.8235 4.08399 20.5174 4.08399 21.3699C4.08399 22.2224 3.39007 22.9164 2.53753 22.9164ZM19.7171 22.9164C18.8646 22.9164 18.1706 22.2224 18.1706 21.3699C18.1706 20.5174 18.8646 19.8235 19.7171 19.8235C20.5696 19.8235 21.2636 20.5174 21.2636 21.3699C21.2636 22.2224 20.5696 22.9164 19.7171 22.9164Z"
              fill="white"
            />
            <path
              id="Vector_3"
              d="M2.53753 5.17777C3.93529 5.17777 5.07531 4.03776 5.07531 2.64C5.07531 1.24224 3.93529 0.102219 2.53753 0.102219C1.13977 0.102219 -0.000244141 1.24224 -0.000244141 2.64C-0.000244141 4.03776 1.13977 5.17777 2.53753 5.17777ZM2.53753 1.09354C3.39007 1.09354 4.08399 1.78746 4.08399 2.64C4.08399 3.49253 3.39007 4.18645 2.53753 4.18645C1.685 4.18645 0.991075 3.49253 0.991075 2.64C0.991075 1.78746 1.685 1.09354 2.53753 1.09354Z"
              fill="white"
            />
          </g>
        </g>
      </g>
    </svg>
  );
}
